Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.envers.event
Class EnversPostUpdateEventListenerImpl

    java.lang.Object
      org.hibernate.envers.event.BaseEnversEventListener
          org.hibernate.envers.event.EnversPostUpdateEventListenerImpl

All Implemented Interfaces:
  Serializable, EnversListener, PostUpdateEventListener

    public class EnversPostUpdateEventListenerImpl

extends BaseEnversEventListener
implements PostUpdateEventListener

See Also:
  Serialized Form

Constructor Summary
`protected` | `EnversPostUpdateEventListenerImpl(AuditConfiguration enversConfiguration)`

Method Summary
`void` | `onPostUpdate(PostUpdateEvent event)`

Methods inherited from class org.hibernate.envers.event.BaseEnversEventListener
`generateBidirectionalCollectionChangeWorkUnits, getAuditConfiguration`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EnversPostUpdateEventListenerImpl

    protected EnversPostUpdateEventListenerImpl(AuditConfiguration enversConfiguration)

Method Detail

### onPostUpdate

    public void onPostUpdate(PostUpdateEvent event)

  Specified by:
    `onPostUpdate` in interface `PostUpdateEventListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.